=== debian/changelog ===
menu (1.3-2) frozen unstable; urgency=low	
  * couple of simple bug-fixes. All not very serious, but would
    like this to go into frozen anyway.
  * fixed menuentry(5) manual page (was simply wrong)
  * made the default install messages somewhat nicer (in order not
    to scare away newbies)
  * Redirected stderr of the killall command in postinst to /dev/null
  * fixed typos in extended description (in control file).
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 14 May 1997 22:13:01 +0200

menu (1.3-1) frozen unstable; urgency=low

  * Only change: added ifeq(), ifneq(), ifeqelse(), ifroot() to install-menu
    (and the README).
  * Added a "killall update-menus" to postinst (to prevent problems if
    update-menus is upgraded along with other packages that use it).
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 8 May 1997 12:43:00 +0200

menu (1.2-3) frozen unstable; urgency=low

  * Another two-line-fix to update-menus, fixing the compat mode code.
    (if no icon was defined, that resulted in errors for the compat mode).
  * I would like this release to go into frozen, as it does
    fix a long-standing bug (still present in frozen), and will
    improve many people's experience with the menu's after isntalling
    some "unstable" packages (some of which may need the new menu
    functionality).
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 5 May 1997 15:29:12 +0200

menu (1.2-2) unstable; urgency=low

  * Thanks, Andy Mortimer, for noticing I don't close the fd's. 
    doing that now.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 3 May 1997 15:43:46 +0200

menu (1.2-1) unstable; urgency=low

  * Changes to README (documents parent(), basename()).
  * Slichtly changed the dpkg-lockfile detection in update-menus,
    after a report from Andy Mortimer

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 3 May 1997 14:52:45 +0200

menu (1.2) unstable; urgency=low

  * Fixes to example dwww script (though Jim Pick has a much
    better one)
  * Fixes to install-menu, for submenu entries.
  * Fixes to update-menus, no core dup on malformed "?package(..)" in
    menuentry files.
  * extra functions replacewith(), prefix() (install-menu)
  * make hotkeys case-insensitive.
  * the genmenu=, prerun=, postrun= assignments can now contain
    substitutions just like the startmenu etc ones.
  * Added a "|| errno==EACCES" after the attempt to lock the dpkg lockfile
    to hopefully check for all possible errno valus fcntl creates.
  * changed the "your system is messed up badly" message to 
    something nicer (now it is "please help me track down 
    this problem I have")
  * update-menus only gives the "forking to backround" text when
    it didn't kill any other update-menus (so you'll only see it
    once in a multy-package install session).


 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 30 Apr 1997 22:55:57 +0200

menu (1.1) unstable; urgency=low

  * Added a few more example-menumenthods (afterstep, ctwm, twm, fvwm,
    fvwm95, dwww). With dwww you now have descriptions of the packages
    in the http://rulcmc.leidenuniv.nl/dwww/menu.html page.
    (make that http://localhost/dwww/menu.html, after you've instaled it).
  * These new menu-methods are now better than the old ones, as they
    properly quote the title.
  * fixed a few bugs in install-menu that caused it to interpret
    ifnempty() and ifempty() the wrong way around (also ifelse,...).
  * fixed permissions in /usr/doc/examples/*
  * fixed a few "default" menuentries.
    

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 21 Apr 1997 23:30:28 +0200

menu (1.0) unstable; urgency=low

  * complete remake, added a lot of functionality.
  * New features
     - support for long titles and descriptions,
     - much more flexible /etc/menu-methods files,
     - if dpkg is running, forks into background, to get rid of that
       "need to run update-menus twice" syndrome.
     - support for hotkeys
  * see /usr/doc/menu/BUGS for known limitations of this release.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 16 Apr 1997 20:06:45 +0200

menu (0.11) unstable; urgency=low

  * fix "#" bug (a # is only a comment if it follows a space or newline)
  * add an example to create a www page for packages providing
    "dwww" documentation
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 23 Jan 1997 22:27:30 +0100

menu (0.10) unstable; urgency=low
  
  * Manpages by Joey Hess (now it's a real package!)
  * if user runs, and ~/.menu-methods exists, read the
    config files from there (and don't process /etc/menu-methods).
  * Add support for olvwm ("treewalk" attribute /etc/menumethods)
  * -f -stdio is now standard (options are ignored, and always passed on
    to /etc/menu-methods/*)
  * files in /etc/menu-methods with anything other than letters/figures/_-
    are silently ignored by update-menus
  * some speedup in install-fvwmgenmenu (not as much as I'd hoped).
  * added $d{var}, $s{var}, $b{var} variable substitutions
    (request from Joey Hess).
  * if getuid()!=0, also parse /etc/menus, /usr/lib/menus.
  * Moved Lockscreen and Savescreen to Screen/ in default menus
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 12 Jan 1997 00:46:38 +0100

menu (0.9) unstable; urgency=low

  * "popup" bugfix
  * Don't read /etc/menu-methods/*.* files (with a dot in it, usually
    backup files from dpkg).
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 3 Jan 1997 14:31:15 +0100

menu (0.8) unstable; urgency=low
  * Fixing longstanding bug (one Joey reported loads of times)
    when update-menus is run from a postinst (from a previously
    uninstalled package), update-menus assumes this pacage is not installed.
    Fixed by looking at commandline of ppid, and checking for
    "bash /var/lib/dpkg/info/$package.postinst"
  * The fvwmgenmenu now has a more general compat mode that should
    supports all window-managers, without recompilation.

