=== debian/control ===
Source: menu
Section: admin
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.1.1.0

Package: menu
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: pdmenu (<=0.5.9)
Description: provides update-menus functions for some applications
 The intent of this package is to streamline the menu's (like the
 fvwm2 ones) in debian. For this purpose, it provides a "update-menus"
 programme, that will check for new menu files (as provided by
 other packages in /usr/lib/menu), and run the install programmes
 in /etc/menu-methods of the various window managers (or console menu's,
 like pdmenu) on the new menufiles.
 Also in this package are a couple menu entries, as an 
 example.  The system admin can easily override these, as can any 
 package maintainer.
