## menu 1.5-5.1

=== Makefile ===
--- 
+++ 
@@ -2,14 +2,14 @@
 #Although I always test-compile this with -O0, the debian/rules file
 #will call this makefile with CFLAGS=-O2, so your release is always optimised.
 
-all: update-menus common.old.o
+all: update-menus common.old.o 
 
 
 update-menus.o: adstring.h  update-menus.cc update-menus.h
 	rm -f update-menus.o
 	g++ -c -o update-menus.o $(CXXFLAGS) update-menus.cc
 
-update-menus: update-menus.o adstring.o
+update-menus: adstring.o update-menus.o
 	rm -f update-menus
 	g++ -o update-menus $(CXXFLAGS) update-menus.o adstring.o
