=== menu-method/Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
 CPPFLAGS=-I..
 CXXFLAGS=-O0 -g -Wall -fhandle-exceptions   
-#Although I test-compile this with -O0, the debian/rules file
-#will call this makefile with CFLAGS=-O2, so your release is always optimised.
 
 all: menu-method
 
-menu-method.o: menu-method.h menu-method.cc
+menu-method.o: menu-method.h menu-method.cc ../adstring.h
 	rm -f menu-method.o
 	g++ $(CPPFLAGS) $(CXXFLAGS) -c  -o menu-method.o menu-method.cc
