=== debian/changelog ===
menu (1.5-5.1) experimental; urgency=low

  * non maintainer libc5/experimental release by Andreas Jellinghaus

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 20 Oct 1997 08:37:15 -0400

menu (1.5-5) unstable; urgency=low

  * Added ifelsefile, and catfile functions for Andreas Jellinghaus.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue,  7 Oct 1997 22:21:24 +0200

menu (1.5-4) unstable; urgency=low

  * Removed several "debugging" files (gmon.out, output of strace, etc).
  * Now really create html documentation during pacakge build.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 18 Sep 1997 19:38:27 +0200

menu (1.5-3) unstable; urgency=low
  * Fixed a bug found by a close cooperation with the xpat2 maintainer
    and Lars Wirzenius: if a menuentry (for xpat2 in this case) begins with
    "?package(non-installed-package)", and has less than some number of
    variable-assignements after the colon, update-menus reported an error.
    (if there are "enough" assignemnts, no error will be reported, but
    update-menu would create a bogus menuentry). Good work, guys!
  * Switched the "postinst" and "postrm" labels in the documentation,
    fixing bug#12522 (and 12521, for that matter).
  * added a much bigger xbase menuentry file. This one really should
    go into xbase itself, and Mark asked me for it, but I've had too
    little time to really check this. Hopefully by including it in
    menu it will recieve some more checking, untill I feel confident
    enough to send it to Mark Eichin.
  * Removed xlockmore menuentry file, is now part of xlockmore.
  * (and I removed another menuentry file, but cannot remember
    which one).
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 18 Sep 1997 19:18:44 +0200

menu (1.5-2) unstable; urgency=low

  * Added a sanity-check for instal-menus config file (prevents
    setfaults).
  * removed xlockmore default menu entries, they are now in the
    xlockmore package (or will be, soon).
  * corrected default dpkg menu entries.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun,  3 Aug 1997 22:19:11 +0200

menu (1.5-1) unstable; urgency=low

  * Added entrycount(), entryindex functions. 
  * Added add(), sub(), mult(), div() functions.
  * moved cmap.xpm to .../pixmaps
  * now includes sgml and html versions of README.
    (due to restrictions of debiandoc, no info files can be made!)
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 13 Jul 1997 13:13:11 +0200

menu (1.4-2) unstable; urgency=low

  * Now depends on libg++272. (Made possible by a dpkg-source bugfix
    from Joey Hess).
    
  * Few fixes to how debugging/error output is handled (cosmetic).
  * this release still has a (harmless) race-condition (noticed
    by Joey Hess),when two update-menus programmes run simultaniously
    while dpkg -i something is running (or Suspended).

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 10 Jul 1997 23:05:14 +0200

menu (1.4-1) unstable; urgency=low

  * Due to extra features/bugreporting, this version doesn't work well
    with the menu-bugs in fvwm95_2.0.42a-10, and latex2html_96.1.h-5.

  * added ability do "define" functions to install-menu.
    (very usefull if you want to have a common xterm/rxvt for all
    window managers)
  * '!include \"/etc/menu-method/filename\"'
  * read !include "filename" relative to current direcotry
  * provide /etc/menu-method/menu.h example file.
  * parsing of (all) files files somewhat rewritten; should be
    more stable now (except for bugs).
  * trailing spaces are stripped (so a \ at the end of the
    line will always be a continuation line, even if there's a
    space after it).
  * _Much_ better error reporting.
  * removed all those pesky "icon=none" from the example menufiles.
  * in new menu format, "package(local.*)" is considered installed
  * fix bug in hotkey generation
  * first check for "examplercfile" (system.$wm-menu), and then create
    output file.
  * made the README in /usr/doc/menu/example/README somewhat clearer as
    to what the purpose of these files is
  * incorporated afterstep-package menu-method's into my example
    menu-method (allong with the "!include menu.h" stuff).
  * install-menu: added toupper() and tolower() functions
  * do not attempt to read menuentry files with the name "core".
  * Using libc6 now
  * fixed gpmconfig entry.
  * added Joey's cmap.xpm file.
  * in compat mode (for old /etc/menu-methods's), write esccpp($title)
    as identifier (fixes "install-menu uses text instead of x11 entry"
    bug).
  * in case of missing "section=" (in new-format menuentry), assume
    seciont="/". (fixes a reported bug, I believe).
  * "+" can now be part of a package name, in new-format menuentries.
    (previously, doc++ and libg++ couldn't have a new-format menuentry).
  * executable menuentries are now executed, and the stdout used as
    menuentry (nice feature request from Joey Hess)
  * update-menus now reads config info in /etc/menu-methods/menu.config
    (or ~/.menu-methods/menu.config). Currently can specify only error
    logging. (set "verbosity=quite" in /etc/menu-methods/menu.config to
    remove all messages). Not very well tested yet.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 21 Jun 1997 13:24:55 +0200
