=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	make -C .           
 	make -C menu-method 
 	make -C fvwmgen     CXXFLAGS="$(CXXFLAGS)"
+	make -C doc
 	touch build
 
 
@@ -38,7 +39,7 @@
 	#Undoes the effect of `make -f debian.rules build'.
 	#make distclean
 	#rm -f docs/Makefile docs/latextut/Makefile
-	-rm -rf debian/tmp build menu
+	-rm -rf debian/tmp build menu doc/menu.html/* doc/menu.info
 	make -C . clean
 	make -C menu-method clean
 	make -C fvwmgen clean
@@ -52,13 +53,13 @@
 
 binary-arch:
 	rm -rf debian/tmp
-	install -d -g root -m 755 -o root debian/tmp
 	install -d -g root -m 755 -o root debian/tmp/DEBIAN
-	install -d -g root -m 755 -o root debian/tmp/usr/bin
-	install -d -g root -m 755 -o root debian/tmp/usr/sbin
+	install -d -g root -m 755 -o root debian/tmp/usr/{bin,sbin}
 	install -d -g root -m 755 -o root debian/tmp/usr/man/man{1,5}
 	install -d -g root -m 755 -o root debian/tmp/usr/lib/menu/default
-	install -d -g root -m 755 -o root debian/tmp/usr/doc/menu/examples
+	install -d -g root -m 755 -o root debian/tmp/usr/X11R6/include/X11/pixmaps
+	install -d -g root -m 755 -o root \
+	     debian/tmp/usr/doc/menu/{examples,html}
 	install -d -g root -m 755 -o root debian/tmp/etc/menu-methods
 	install -d -g root -m 755 -o root debian/tmp/etc/menu
 	#
@@ -67,24 +68,28 @@
 	install -g root -o root -m 755 \
 	   debian/prerm debian/tmp/DEBIAN/prerm
 	#
-	install -s -g root -o root -m 755 \
+	install -s -g root -o root -m 0755 \
 	   update-menus debian/tmp/usr/bin/update-menus
-	install -s -g root -o root -m 755 \
+	install -s -g root -o root -m 0755 \
            fvwmgen/fvwmgen  debian/tmp/usr/sbin/install-fvwmgenmenu
-	install -s -g root -o root -m 755 \
+	install -s -g root -o root -m 0755 \
 	   menu-method/menu-method  debian/tmp/usr/sbin/install-menu
-	install  -g root -o root -m 755 \
+	install  -g root -o root -m 0755 \
 	   su-to-root  debian/tmp/usr/sbin/su-to-root
-	install  -g root -o root -m 755 \
+	install  -g root -o root -m 0755 \
 	   convert-menuentry debian/tmp/usr/bin/convert-menuentry
+	install  -g root -o root -m 0644 \
+	   debian/menu debian/tmp/usr/lib/menu/
 	#
-	cp  examples/* debian/tmp/usr/doc/menu/examples
-	cp  default/* debian/tmp/usr/lib/menu/default
+	cp examples/* debian/tmp/usr/doc/menu/examples
+	cp default/* debian/tmp/usr/lib/menu/default
+	cp -a doc/menu.html/* debian/tmp/usr/doc/menu/html
+	cp cmap.xpm debian/tmp/usr/X11R6/include/X11/pixmaps
 	install -g root -o root -m 644 \
-	   translate_menus debian/tmp/etc/menu-methods/translate_menus
+	   translate_menus menu.h debian/tmp/etc/menu-methods/
 	#
 	install -g root -o root -m 644 \
-	   README README.changes BUGS debian/tmp/usr/doc/menu/
+	   doc/menu.sgml README.changes BUGS debian/tmp/usr/doc/menu/
 	install -g root -o root -m 644 \
 	   README.config-menus debian/tmp/etc/menu/README
 	install -g root -o root -m 644 \
