## menu 1.5-12

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 update-menus: adstring.o update-menus.o
 	rm -f update-menus
-	g++ -o update-menus $(CXXFLAGS) update-menus.o adstring.o
+	gcc -o update-menus $(CXXFLAGS) update-menus.o adstring.o  -lstdc++ #-lg++
 
 update-menus.old.o:update-menus.old.cc common.h update-menus.old.h
 	rm -f update-menus.old.o
@@ -22,10 +22,10 @@
 	g++ -o update-menus.old $(CXXFLAGS) update-menus.old.o common.old.o
 
 clean   :
-	rm -f *.o update-menus core update-menu update-new build
+	rm -f *.o update-menus core update-menu update-new build 2 
 
 
-adstring.o: adstring.cc adstring.h
+adstring.o: adstring.cc adstring.h 
 	g++ -c $(CXXFLAGS) -o adstring.o adstring.cc
