=== doc/Makefile ===
all: menu.html/index.html #menu.info menu.dvi

menu.html/index.html: menu.sgml
	debiandoc2html menu.sgml

menu.info: menu.sgml
	debiandoc2info menu.sgml

clean: 
	rm -rf *.html *.info *.dvi
