=== fvwmgen/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 fvwmgen: fvwmgen.o ../common.old.o
 	rm -f fvwmgen
-	g++ -o fvwmgen $(CXXFLAGS) fvwmgen.o ../common.old.o
+	gcc -o fvwmgen $(CXXFLAGS) fvwmgen.o ../common.old.o -lstdc++
 
 clean   :
 	rm -f fvwmgen fvwmgen.o core
