=== menu-method/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 menu-method: menu-method.o ../adstring.o
 	rm -f menu-method
-	g++ -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o
+	gcc -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o -lstdc++ -lg++
 
 static: menu-method.o ../adstring.o
 	rm -f menu-method
