=== debian/changelog ===
menu (1.5-12) frozen unstable; urgency=low

  * Fixed mis-handling of files that don't end with newline.
    noticed by Jochen Kronjaeger <Kronjaeg@Stud-Mailer.Uni-Marburg.DE>
    (thanks!)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 23 Mar 1998 20:42:14 +0100

menu (1.5-11) unstable; urgency=low

  * Went through the buglist again, and updated the default
    menuentryfiles (and removed those that now exists in other
    debian packages). Fixes: 13880 15081 17171 17215 17292.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 15 Mar 1998 10:39:08 +0100

menu (1.5-10) unstable; urgency=low

  * Oh, yes, Aaron Howell, you were right. I did forget to close (free)
    some files. Fixed that, so this fixes: 17253
  * Fixed error in install-menu that caused the creation directories
    in / (at least for KDE and wmaker. Not sure why not for other wm's)
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 15 Mar 1998 10:02:23 +0100

menu (1.5-9) unstable; urgency=low

  * Fixed several possible segmentation faults (all in error-reporting
    routines)
  * Input buffer for 'readline' increased to 10240 bytes. Fixes: #19482
    (should really fix this sometime)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 12 Mar 1998 21:23:13 +0100

menu (1.5-8) unstable; urgency=low

  * Removed reference to README in all files where it was still referenced.
    (many, many files, that was!)
  * changed a \fL to a \fB in the menufile.5 manpage
    (fix suggested by Joey Hess).  fixes: #17187
  * Make wm-menu-config an executable script.
  * applied suggested fixes to doc/menu.sgml, fixes: #17475
  * changed default warning "#Automatically generated file. Do not edit
    (see /usr/doc/menu/README)" to point to /usr/doc/menu/html/index.html.
    (This is placed at the top of the files install-menu generates).
  * document the availability of "!include file" in the menuentry files
  * Changed a "~/menu-methods" to "~/.menu-methods" in update-menus.1
  * Numerous changes to the documentation, after many suggestions
    from Yann Dirson (thanks!)
  * Applied patch from Herberd, fixes:19056  
  * removed the libg++ dependancy code (not the libg++ package, it still
    uses libstdc++).
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 8 Mar 1998 12:00:13 +0100

menu (1.5-7) unstable; urgency=low

  * Really added wm-menu-config file (Fixes: #17169)
  * compressed menufile.5 (Fixes: #17168)
  * Added geometry to rxvt entry in menu.h (as suggested in #17171)
  * Really removed gv default menuentry. (Fixes: #17170)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 16 Jan 1998 02:23:13 +0100

menu (1.5-6) unstable; urgency=low
  * done nothing at all, fixes: #13648, #13657, #13676, #13677, #13680, #15765
    (fixing 6 GRAVE bugs, by doing nothing)
  * Removed default menufiles for xlockmore, fixes: #10831 
  * Added the "suggested" variables "geometry" and "visability" to
    the menu.sgml file, and /etc/menu-method/menu.h.
  * Added some comments to /usr/doc/menu/examples/cat
  * Fixed the dpkg default menuentry file. Fixes: #14170, #15847
  * Finally applied (most of) patch supplied by Nikita Schmidt.
    Fixes: #14318
  * removed convert-menuentry, fixes: #15914
  * Applied patch from Dirk Luetjens <dirk@luedi.oche.de>
    fixes: Bug#15871
  * Now compresses update-menus.1 manual page
    fixes: #14569
  * Compressed changelog.Debian. Fixes: #15429
  * Removed the following default menuentry files: 
      afterstep ddd fvwm2 fvwm95 gnuplot gv menu olvwm pixmap procps
      vim xfig xpaint xxgdb
    as they are already present in the packages themselves.
    (list supplied by Andreas Jellinghaus <aj@fw-athene.wiwi.uni-karlsruhe.de>)
  * Added a wm-menu-config script, and updated documentation.
    Now window managers are encouraged to use this instead of directly
    calling update-menus. (the script does more).

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 15 Jan 1998 00:48:08 +0100
