=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 
 build:
-	make -C .           
-	make -C menu-method 
+	make -C .           CXXFLAGS="$(CXXFLAGS)"       
+	make -C menu-method CXXFLAGS="$(CXXFLAGS)"
 	make -C fvwmgen     CXXFLAGS="$(CXXFLAGS)"
 	make -C doc
 	touch build
@@ -76,8 +76,8 @@
 	   menu-method/menu-method  debian/tmp/usr/sbin/install-menu
 	install  -g root -o root -m 0755 \
 	   su-to-root  debian/tmp/usr/sbin/su-to-root
-	install  -g root -o root -m 0755 \
-	   convert-menuentry debian/tmp/usr/bin/convert-menuentry
+	#install  -g root -o root -m 0755 \
+	#   convert-menuentry debian/tmp/usr/bin/convert-menuentry
 	install  -g root -o root -m 0644 \
 	   debian/menu debian/tmp/usr/lib/menu/
 	#
@@ -100,10 +100,15 @@
 	   debian/copyright debian/tmp/usr/doc/menu/copyright
 	install -g root -o root -m 644 \
 	   debian/changelog debian/tmp/usr/doc/menu/changelog.Debian
+	gzip -9 debian/tmp/usr/doc/menu/changelog.Debian
 	install -g root -o root -m 644 \
 	   update-menus.1 debian/tmp/usr/man/man1/update-menus.1
+	gzip -9 debian/tmp/usr/man/man1/update-menus.1
 	install -g root -o root -m 644 \
 	   menufile.5 debian/tmp/usr/man/man5/menufile.5
+	gzip -9 debian/tmp/usr/man/man5/menufile.5
+	install -g root -o root -m 755 \
+	   ./debian/wm-menu-config debian/tmp/usr/sbin/wm-menu-config
 	#
 	cp debian/conffiles debian/tmp/DEBIAN/conffiles
 	dpkg-shlibdeps ./update-menus ./menu-method/menu-method ./fvwmgen/fvwmgen
