## menu 1.5-17

=== Makefile ===
CXXFLAGS=-g -Wall -O0

all: update-menus common.old.o 


update-menus.o: adstring.h  update-menus.cc update-menus.h
	rm -f update-menus.o
	g++ -c -o update-menus.o $(CXXFLAGS) update-menus.cc

update-menus: adstring.o update-menus.o
	rm -f update-menus
	g++ -o update-menus $(CXXFLAGS) update-menus.o adstring.o 

update-menus.old.o:update-menus.old.cc common.h update-menus.old.h
	rm -f update-menus.old.o
	g++ -c -o update-menus.old.o $(CXXFLAGS) update-menus.old.cc

update-menus.old: update-menus.old.o common.old.o
	rm -f update-menus.old
	g++ -o update-menus.old $(CXXFLAGS) update-menus.old.o common.old.o

clean   :
	rm -f *.o update-menus core update-menu update-new build 2 


adstring.o: adstring.cc adstring.h 
	g++ -c $(CXXFLAGS) -o adstring.o adstring.cc
