=== menu-method/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CPPFLAGS=-I..
-CXXFLAGS=-O0 -g -Wall -fhandle-exceptions   
+CXXFLAGS=-g -Wall -O2
 
 all: menu-method
 
@@ -9,7 +9,7 @@
 
 menu-method: menu-method.o ../adstring.o
 	rm -f menu-method
-	gcc -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o -lstdc++ -lg++
+	g++ -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o -lstdc++
 
 static: menu-method.o ../adstring.o
 	rm -f menu-method
