=== debian/changelog ===
menu (1.5-17) frozen; urgency=low

  * Added 'technical' section to preferred menu layout. (promised to do
    that already long ago...) 
  * If install-menu runs as user, $rootprefix/ is used if $userprefix
    doesn't exist. Fixes 26851, but not as nicely as Joey suggests.
    (install-menu tests for the existance of the directory, not for the
    files within that dir, so if $userprefix exists, it has to contain all
    files).
  * Updated standards version.
  * Added manual pages for install-menu, install-fvwmgenmenu, su-to-root
    wm-menu-config (for lintian)
  * Fixed some misplacements in the menu.sgml file. In particular, part of
    the section intended for `packages with wm's', was put under `packages
    with applications'. This should have caused serious confusion.

 -- joost witteveen <joostje@debian.org>  Tue, 20 Oct 1998 22:33:00 +0200

menu (1.5-16) unstable; urgency=low

  * Corrected 'WindowManagers' entry in preferred menu tree (in the docs)
  * Added plurals to pixmap directories. Fixes: 26479
  * Changed 8 spaces to one tab in debian/rules. Fixes:26865

 -- joost witteveen <joostje@debian.org>  Sun, 20 Sep 1998 20:54:01 +0200

menu (1.5-15) unstable; urgency=low

  * Applied suggested changes in bugreport 25231. Fixes: 25231
  * Added Apps/hamradio to preferred menu structure (nobody but
    hamradioers will see it anyway (request by: Joop Stakenborg, 
    stakenborg@hyph.azr.nl))
  * replaced '[[:space:]]' with '[ \t]' in update-menus. Should at
    least make menu work around sed changes (Fixes: 25035)
  * Moved 'waiting for dpkg to finnish' message to just before the fork(),
    so that the user will now see it where it's expected (before, the
    message sometimes came after dpkg started installing the next
    pacakge). Also the message now only comes with the '-v' option.
 -- joost witteveen <joostje@debian.org>  Fri, 14 Aug 1998 22:24:43 +0200

menu (1.5-14) unstable; urgency=low

  * Added "Apps/Text" to the documentation
  * now uses "dpkg --get-selections" to get the installed packages.
  * applied suggested patch to su-to-root (default exit 1, only
    retry if user answered Y or y).

 -- joost witteveen <joostje@debian.org>  Sat, 11 Jul 1998 22:30:08 +0200

menu (1.5-13) unstable; urgency=low

  * Removed the packaging manual entry.
  * removed comments in the debian/rules file from imurdoc, saying it was
    "last modified 1994", and other rather out of date stuff.
  * Fixes to compile with egcs. (now uses optimisation!)
  * More understandable error message if menuentry files are incorrectly
    installed executable.
  * update-menus now installs without the executable bit on, the postinst
    turns it on.

 -- joost witteveen <joostje@debian.org>  Sat, 23 May 1998 16:33:12 +0200
