=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: joost witteveen <joostje@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.4.1.0
 
 Package: menu
 Architecture: any
