=== debian/rules ===
--- 
+++ 
@@ -1,31 +1,14 @@
 #! /usr/bin/make -f
 #   -*- mode: makefile; -*-
 #
-# Last updated: Sat Dec 17 10:52:20 EST 1994 by imurdock.
-#
-# To make the binary distribution package, the ``Debianized'' source package
-# and the context diff to the original package, type `./debian.rules dist'.
-# Make sure that `debian.rules' is executable before the final distribution
-# is made.
-#
-# Invoke each target with `./debian.rules <target>'.  All targets should be
-# invoked with the package root as the current directory.
-#
-# The `binary' target must be run as root, as it needs to install files with
-# specific ownerships.  The `diff' target assumes that you have the original
-# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
-# the previous revision of the ``Debianized'' source package and context diff
-# in the parent directory.
 
 CC = gcc
 
 #gcc doesn't support optimisation with exeptions.
-CXXFLAGS = -g -fhandle-exceptions
-
-
+#but egcs does!
+CXXFLAGS = -g -O2 -Wall
 
 p = menu
-
 
 build:
 	make -C .           CXXFLAGS="$(CXXFLAGS)"       
@@ -33,7 +16,6 @@
 	make -C fvwmgen     CXXFLAGS="$(CXXFLAGS)"
 	make -C doc
 	touch build
-
 
 clean:	
 	#Undoes the effect of `make -f debian.rules build'.
@@ -45,13 +27,13 @@
 	make -C fvwmgen clean
 
 binary-indep:   checkroot build
-        $(checkdir)
+	$(checkdir)
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
 
 
-binary-arch:
+binary-arch: build
 	rm -rf debian/tmp
 	install -d -g root -m 755 -o root debian/tmp/DEBIAN
 	install -d -g root -m 755 -o root debian/tmp/usr/{bin,sbin}
@@ -68,7 +50,7 @@
 	install -g root -o root -m 755 \
 	   debian/prerm debian/tmp/DEBIAN/prerm
 	#
-	install -s -g root -o root -m 0755 \
+	install -s -g root -o root -m 0644 \
 	   update-menus debian/tmp/usr/bin/update-menus
 	install -s -g root -o root -m 0755 \
            fvwmgen/fvwmgen  debian/tmp/usr/sbin/install-fvwmgenmenu
@@ -102,7 +84,12 @@
 	   debian/changelog debian/tmp/usr/doc/menu/changelog.Debian
 	gzip -9 debian/tmp/usr/doc/menu/changelog.Debian
 	install -g root -o root -m 644 \
-	   update-menus.1 debian/tmp/usr/man/man1/update-menus.1
+	   update-menus.1 \
+	   install-menu.1 \
+	   install-fvwmgenmenu.1 \
+	   su-to-root.1 \
+	   wm-menu-config.1  \
+	   debian/tmp/usr/man/man1
 	gzip -9 debian/tmp/usr/man/man1/update-menus.1
 	install -g root -o root -m 644 \
 	   menufile.5 debian/tmp/usr/man/man5/menufile.5
