## menu 2.1.5-3

=== doc/Makefile ===
all: menu.html/index.html menu.txt.gz menu.info.gz #menu.dvi

menu.html/index.html: menu.sgml
	debiandoc2html menu.sgml

%.info: %.sgml
	debiandoc2info $(*F).sgml

%.txt: %.sgml
	debiandoc2text -O $(*F).sgml > $(*F).txt

%.gz:   %
	gzip -f9 $(*F)

clean: 
	rm -rf menu.html *.info* *.dvi* *.txt*

distclean: clean

install:
	install -d -g root -m 755 -o root \
	     $(prefix)/share/doc/menu/examples \
	     $(prefix)/share/doc/menu/html \
	     $(prefix)/lib/menu/default \
	     $(prefix)/share/info
	cp `find ../examples/* -prune -type f` $(prefix)/share/doc/menu/examples
	cp `find ../default/* -prune -type f` $(prefix)/lib/menu/default
	cp -a menu.html/* $(prefix)/share/doc/menu/html
	cp -a menu.txt.gz $(prefix)/share/doc/menu/
	cp -a menu.info.gz $(prefix)/share/info/
	#
	install -g root -o root -m 644 \
	   menu.sgml README.changes BUGS $(prefix)/share/doc/menu/
