=== messages/Makefile ===
PACKAGE=menu-messages
srcdir = .

LANGUAGES=eo

all:eo.mo

install:eo.mo
	for l in $(LANGUAGES); do \
	   DIR=../debian/tmp//usr/share/locale/$$l/LC_MESSAGES; \
	   install -d -o root -g root -m 755 $$DIR && \
	   install -o root -g root -m 0644 $$l.mo \
	     $$DIR/$(PACKAGE).mo; \
	done

menu-messages.pot:
	HOME= ../update-menus/update-menus --menumethod ./menu-method \
	                             --nodefaultdirs \
				     --menufiledir /usr/lib/menu


%.mo     : %.po
	msgfmt -o $(*F).mo $(*F).po 

%.pox    : %.po
	$(MAKE) $(PACKAGE).pot
	msgmerge $(*F).po $(PACKAGE).pot -o $(*F).pox

#$(PACKAGE).pot: menu-messages.in Makefile
#	 xgettext --default-domain=$(PACKAGE) \
#	   --add-comments -a -LC++ --keyword=_ --keyword=N_ \
#	     menu-messages.in \
#	 && test ! -f $(PACKAGE).po \
#	    || ( rm -f $(PACKAGE).pot \
#		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )

clean:

distclean: clean
	rm -f eo.mo
