=== debian/changelog ===
menu (2.1.5-3) frozen unstable; urgency=low

  * recompile, rest identical to version of Julian Gilbey.
    Just recompiling sems to fixing the `missing menu entry' problem.

 -- joost witteveen <joostje@debian.org>  Sat, 22 Jan 2000 19:11:35 +0100

menu (2.1.5-2.1) frozen unstable; urgency=low

  * Non-maintainer upload (at joost's request)
  * Correct install-menu problem which was leaving some generated menus
    incomplete and broken (closes: #55603 (RC bug))

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Jan 2000 23:31:24 +0000

menu (2.1.5-2) unstable; urgency=low

  * Should add: (see 2.1.4-5).
  * "onlyrunasroot" checking done as soon as possible, so that
    install-menu doens't check for sane-ness of varables if
    run as non-root.
  * Fixed segfault in case rootprefix/usrprefix is undefined.
    Closes: #53933, #52961
  * added a `repeat_lang="LOCALE"' directive, to get back the old
    `unasked for' translation behavior (where update-menus would
    translate into the current LOCALE).
    
 -- joost witteveen <joostje@debian.org>  Wed,  5 Jan 2000 22:09:12 +0100

menu (2.1.5-1) unstable; urgency=low

  * This is an interim release; it breaks the (never used anyway)
    `old' gettext translations, but allows gnome etc WM's to
    creat startup files with translations for various languages.

  * moved last files from /usr/doc to /usr/share/doc. Same for /usr/info.
  * install-menu: added a translate() function.
  * install-menu: added a forall() function.
  
 -- joost witteveen <joostje@debian.org>  Sun,  5 Dec 1999 19:04:42 +0100

menu (2.1.4-4) unstable; urgency=low

  * Applied patch in 47259, to fix spaces/tabs in menu.sgml.
    Closes: #47259.
  * (minor) updates to menu.sgml docs.
  * Corrected help (-h) text of install-menu
  * when user starts install-menu, and it wants to read an
    examplercfile, install-menu now also searches it in $rootprefix
    (not just in ${HOME}/$userprefix/).
    Closes: #50867, #50298
  * !include-ed files in the menu-methods are also looked for in
    /etc/menu-methods, if they cannot be found in ~/.menu-methods.
    (if non-root starts install-menus).
  * (install-menu) error message if $section etc are empty should
    be clearer about that menu first reads whole line, and that somewhere
    on that line section wasn't defined.
  * (adstring.cc) if `basepos' in report() isn't 0, then maybe I should
    print `[...]' at the start of the line.

 -- joost witteveen <joostje@debian.org>  Mon, 22 Nov 1999 22:36:16 +0100

menu (2.1.4-3) unstable; urgency=low

  * Upgraded debhelper, and added usr/doc link removeal/link creation
    stuff in prerm/postinst.
  * Upgraded standards version.
  * now use `string::size_type' for all string iterators, rather
    than `unsigned int'. Closes: #47177

 -- joost witteveen <joostje@debian.org>  Tue, 12 Oct 1999 21:43:26 +0200

menu (2.1.4-2) unstable; urgency=low

  * In update-menus, terminate arguments to execve /etc/menu-methods/*
    scripts with NULL. (forgot that, didn't actually seem to cause 
    problems, though).
  * install-menu segfault-ed on the prefix() function if run from
    update-menus as non-root (and only then). Caused by clearing of
    enviromenent of new update-menus. Fixed (in install-menu).
  * In update-menus, just before execve-ing the /etc/menu-methods/*
    scritps, close(1), and then dup it from fd 0. This appears to
    make pipes work again in the postrun etc commands in the 
    /etc/menu-methods/* scripts. Closes: #46971
	
 -- joost witteveen <joostje@debian.org>  Sat,  9 Oct 1999 17:01:14 +0200

menu (2.1.4-1) unstable; urgency=low

  * remove -n "$icon" as xterm arguments, as that was fake. Closes: #46788
  * update-menus now reports error status of /etc/menu-methods/*
    scripts
  * When run under dpkg, don't print messages about
    /tmp/update-menus.$$ files any more.
  * Partially removed debugstatements to debug menu-2.1.3-2 actually
    caused line numbers reported on errors to be wrong. Fixed.
  * Finally used derived execptions (removed those for g++ 2.7, but
    now they work again).
  * More adoptations to stdc++'s string class (warning!)
  * Use -Wall again.
	
 -- joost witteveen <joostje@debian.org>  Tue,  7 Oct 1999 22:28:08 +0200

menu (2.1.3-3) unstable; urgency=low

  * Due to changes in the way the rope::find() function in
    libstdc++ works, menu 2.1.3-2 at all mem and then segfaulted.
    now using `string' again (no rope), and fixed that segfault.
  * Applied second patch from Joey Hess, to close open 
    filehandles (this time the `32!=r' version)
	
 -- joost witteveen <joostje@debian.org>  Tue,  5 Oct 1999 22:28:08 +0200
	

menu (2.1.3-2) unstable; urgency=low

  * Added menuentries for gpm, dpkg. (in default menu files, should be
    in gpm/dpkg packages anyway).
  * Applied patch from Joey Hess, to close open filehandles.
  * Fixed error in adstring.h, that caused (one) compilation error
    on newer versions of g++/libstdc++
  * Fixed minor `possibly uninitialised variable' warning
  * Replaced -Wall with -W on the g++ commandline, as a bug in
    newer g++ or libstdc++-dev versions cause a whole load of warning 
    messages, on just including rope.h.

 -- joost witteveen <joostje@debian.org>  Sat,  2 Oct 1999 22:28:08 +0200

menu (2.1.3-1) unstable; urgency=low

  * Updated the description of this package, as it was 
    somewhat outdated.
  * Added /etc/menu-methods/menu.config to the conffiles. Fixes: Bug#42379
  * use sigprocmask to unblock the signal I use. Under apt, libc&pthread
    used to block SIGUSR1. To get around this, also use SIGUSR2 now.
    I don't want to see this bug any more! Fixes: 42051, etc.
  
 -- joost witteveen <joostje@debian.org>  Wed,  4 Aug 1999 12:41:08 +0200

menu (2.1.2-4) unstable; urgency=low

  * Another test-release for bug 42051. More debugging added

 -- joost witteveen <joostje@debian.org>  Mon,  2 Aug 1999 18:18:46 +0200

menu (2.1.2-3) unstable; urgency=low


