=== debian/control ===
Source: menu
Section: admin
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 3.0.1.1

Package: menu
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: pdmenu (<=0.5.9)
Description: provides update-menus functions for some applications
 The intent of this package is to streamline the menu's (like the
 fvwm2 ones) in debian. For this purpose, menu provides an "update-menus"
 command, that will read all installed menu files (as provided by
 other packages in /usr/lib/menu), and run the frontents for various
 window-managers in /etc/menu-methods to create startup files for
 the window managers (or pdmenu).
 The user and system admin can easily override the menu files
 on a by-user or by-system bases.
